.catalog-set-constructor {
	margin-bottom: 20px;
	/*padding: 10px 20px;*/
	/*box-shadow: 0 2px 4px 0 rgba(210, 210, 210, 0.5);*/
	/*border: solid 1px #dadada;*/
	background-color: transparent;
}


.catalog-set-wrapper .plus {
	margin: auto 50px;
}

.bx-retina .catalog-set-constructor {
	border-width: .5px;
}

.catalog-set-constructor-product-item-container {
	position: relative;
	text-align: center;
	padding: 20px;
	background-color: #fff;
	width: 310px;
	border: 1px solid #dfdfdf;
	margin-bottom: 20px;
}

.catalog-set-constructor-title {
	display: block;
}

.catalog-set-constructor-product-item-image {
	width: 200px;
	height: 190px;
	object-fit: contain;
}

.catalog-set-constructor-product-name,
.catalog-set-constructor-slider-item-title {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	z-index: 1;
	-o-text-overflow: ellipsis;
	text-overflow: ellipsis;
	font-size: 14px;
	font-weight: 500;
	line-height: 18px;
	text-align: left;
	color: var(--main-txt);
	margin-bottom: 10px;
}

.catalog-set-constructor-product-name_description {
	padding: 0 30px;
	height: 28px;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	-o-text-overflow: ellipsis;
	text-overflow: ellipsis;
	background-color: #fff;
	margin-bottom: 44px;
}

.catalog-set-constructor-product-name_description p {
	margin: 0px;
	font-size: 12px;
	line-height: 14px;
	text-align: left;
	color: #696969;
}

.catalog-set-constructor-slider-item .catalog-set-constructor-slider-item-title {
	margin-bottom: 4px;
	-webkit-line-clamp: 3;
	height: 54px;
}

.catalog-set-constructor-slider-item-title:hover {
	color: var(--main_color);
}

.catalog-set-constructor-slider-item-title a {
	font-weight: 500;
	font-size: 14px;
	color: var(--main-txt);
}

.catalog-set-constructor-slider-item-rating span {
	display: inline-block;
}

.catalog-set-constructor-slider-item-rating {
	display: flex;
	margin-bottom: 12px;
}

.catalog-set-constructor-slider-item-rating .count_rating {
	font-weight: 500;
	font-size: 12px;
	color: #6C6C6C;
	display: block;
	line-height: 1.2;
	margin-left: 4px;
}

.price-block-col .catalog-set-constructor-product-new-price {
	font-size: 20px;
	color: var(--main-txt);
	font-weight: 500;
	display: inline-block;
}

.catalog-set-constructor-product-old-price {
	display: inline-block;
	font-size: 20px;
	color: #f54f4f;
	text-decoration: line-through;
	left: 0;
	top: 5px;
}

.catalog-set-constructor-slider-item .catalog-set-constructor-product-old-price {
	position: static;
	font-weight: 400;
	margin-left: 4px;
}

.catalog-set-constructor-slider-item .catalog-set-constructor-product-new-price span:first-child {
	font-weight: 500;
	font-size: 22px;
	color: var(--main-txt);
}

.catalog-set-constructor-product-info .price-block-col .price-unit {
	font-size: 12px;
	color: #8D8D8D;
	font-weight: 400;
	margin: 0;
	text-align: start;
}

.catalog-set-constructor-slider-item-add-btn a.btn-primary {
	color: #fff !important;
	cursor: pointer;
}

.bx-modal-description {
	color: #8e8e8e;
	font-size: 80%;
}

.set-sum:before {
	content: none;
	height: 1px;
	top: 0;
	left: 35px;
	right: 20px;
	position: absolute;
	background-color: #e2e2e2;
}

.catalog-set-constructor-items-list {
	width: 100%;
}

.catalog-set-constructor-items-list-table {
	width: 100%;
	position: relative;
}

.catalog-set-constructor-items-list-table.empty-set {
	padding: 20px;
	color: var(--main-txt);
	font-size: 16px;
	font-weight: 500;
}

.catalog-set-constructor-items-list-table tr {
	margin-bottom: 20px;
	display: flex;
	align-items: center;
	background-color: #fff;
	border: 1px solid #dfdfdf;
	justify-content: space-between;
	min-height: 110px;
	transition: .3s;
	padding: 15px;
}

.catalog-set-constructor-items-list-table tr:hover {
	box-shadow: 0px 4px 16px rgb(0 0 0 / 15%);
}

.catalog-set-constructor-items-list-table-cell-name {
	font-size: 14px;
	color: var(--main_font_color);
	display: flex;
	width: 200px;
}

.catalog-set-constructor-items-list-table-cell-name span {
	font-size: 12px;
	color: #696969;
	line-height: 1;
}

.catalog-set-constructor-items-list-table-cell-name a {
	line-height: 1;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
	color: var(--main-txt);
	font-size: 14px;
	font-weight: 500;
	display: inline-block;
}

.catalog-set-constructor-items-list-table-cell-name a:hover {
	color: var(--main_color);
}

.catalog-set-constructor-items-list-table-cell-price {
	text-align: center;
	width: 150px;
}

.catalog-set-constructor-items-list-table-cell-del {
	width: 50px;
	height: 50px;
	text-align: center;
}

.catalog-set-constructor-items-list-table-cell-img img {
	width: 80px;
	height: 80px;
	object-fit: contain;
}

.catalog-set-constructor-items-list-table-cell-del {
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
}

.catalog-set-constructor-items-list-table-cell-delete-btn {
	position: relative;
	display: inline-block;
	width: 15px;
	height: 15px;
	opacity: .7;
	cursor: pointer;
	padding: 8px;
}

.catalog-set-constructor-items-list-table-cell-delete-btn:hover {
	opacity: 1;
}

.catalog-set-constructor-items-list-table-cell-delete-btn:after,
.catalog-set-constructor-items-list-table-cell-delete-btn:before {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 15px;
	height: 2px;
	border-radius: 1px;
	background-color: #333;
	content: '';
}

.catalog-set-constructor-items-list-table-cell-delete-btn:after {
	transform: translate(-50%, -50%) rotate(45deg)
}

.catalog-set-constructor-items-list-table-cell-delete-btn:before {
	transform: translate(-50%, -50%) rotate(135deg)
}

.catalog-set-constructor-result-table {
	width: 100%;
}

.catalog-set-constructor-result-table tr {
	display: flex;
	align-items: center;
	justify-content: flex-end;
}

.catalog-set-constructor-title h2 {
	position: relative;
	display: inline-block;
	padding-bottom: 10px;
	margin: 0;
	font-size: 24px;
}

.catalog-set-constructor-title h2::before {
	content: '';
	position: absolute;
	left: 0;
	bottom: -2px;
	width: 100%;
	height: 3px;
	background: var(--main_color);
}

.catalog-set-constructor-title {
	margin-bottom: 20px;
	border-bottom: 1px solid #dfdfdf;
}

.catalog-set-constructor-result-table td {
	vertical-align: middle;
	text-align: right;
	padding-right: 10px;
	display: flex !important;
	flex-direction: row-reverse;
	align-items: baseline;
}

.catalog-set-constructor-result-table-title {
	font-size: 14px;
	font-weight: 500;
	color: var(--main-txt);
	display: block;
	margin-right: 20px;
	line-height: 1.2;
}

.set-diff-price {
	background: #3ACE5A;
	color: #fff;
	font-size: 13px;
	font-weight: 500;
	padding: 2px 8px;
	display: inline-block;
	margin-bottom: 6px;
}

.catalog-set-constructor-result-table-value.set-price>span {
	font-size: 22px;
	font-weight: bold;
	color: var(--main-txt);
	display: block;
	line-height: 1;
}

.catalog-set-constructor-result-table-value.set-old-price span {
	font-size: 14px;
	color: #9b9b9b;
	display: block;
	line-height: 1.2;
	margin-left: 8px;
	text-decoration: line-through;
}

.set-old-price-line-through {
	text-decoration: line-through;
	color: #f54f4f;
}


.catalog-set-constructor-result-price {
	display: inline-block;
	box-sizing: border-box;
	padding: 5px 0;
	max-width: 140px;
	width: 100%;
	border: 1px solid #d3d3d3;
	border-radius: 2px;
	text-align: center;
	white-space: nowrap;
	font-weight: bold;
	line-height: 1.5;
}

.catalog-set-constructor-result-btn-container .btn-loader {
	width: 160px;
	height: 42px;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-left: 56px;
	pointer-events: none;
}

.catalog-set-constructor-result-btn-container .path_to_basket {
	min-width: 160px;
	min-height: 42px;
	font-weight: bold;
	font-size: 14px;
	margin-left: 56px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.catalog-set-constructor-result-btn-container .path_to_basket:focus {
	background-color: var(--main_color);
}

.catalog-set-constructor-result-btn-container .path_to_basket:hover {
	background-color: var(--main_color_hover);
}

.catalog-set-constructor-result-btn-container .path_to_basket:hover:active {
	background-color: var(--main_color_active);
}

.catalog-set-constructor-result-btn-container .path_to_basket svg {
	margin: 0 5px 2px 0;
}

.catalog-set-constructor-slider {
	margin-top: 40px;
}

.catalog-set-constructor-slider .title-set {
	margin-bottom: 20px;
	text-align: center;
	font-weight: 500;
	font-size: 17px;
	color: var(--main-txt);
}

.catalog-set-constructor-slider .title-set h3 {
	font-size: 16px;
}

.catalog-set-constructor-slider .title-set .fa {
	font-size: 30px;
	line-height: 18px;
	margin-bottom: 10px;
	color: var(--main_color);
}

.catalog-set-constructor-slider-container {
	position: relative;
	overflow: hidden;
	padding: 20px 15px;
	margin: -20px -15px;
}

.catalog-set-constructor-slider-box {
	position: relative;
}

.catalog-set-constructor-slider-item-container {
	position: relative;
}

.catalog-set-constructor-slider-item {
	overflow: hidden;
	transition: all .3s ease;
	background: #fff;
	position: relative;
	border: 1px solid #dfdfdf;
	padding: 20px;
}

.catalog-set-constructor-slider-item:hover {
	box-shadow: 0px 4px 16px rgb(0 0 0 / 15%);
}

.catalog-set-constructor-slider-item-notavailable {
	display: inline-block;
	padding: 0 15px;
	background: transparent;
	vertical-align: middle;
	line-height: 1;
	color: #8B8B8B;
}

.catalog-set-constructor-slider-item-img {
	width: 134px;
	height: 124px;
	margin: 0 auto 8px;
}

.catalog-set-constructor-slider-item-img-container {
	width: 100%;
	height: 100%;
}

.catalog-set-constructor-slider-item-img-container img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

.catalog-set-constructor-slider-item-art {
	margin-bottom: 8px;
	font-size: 12px;
	font-weight: 400;
	color: #6c6c6c;
	margin-bottom: 6px;
}

.catalog-set-constructor-slider-item-col-minus {}

.catalog-set-constructor-slider-item-col-input {
	display: inline-block;
	width: 25px;
	height: 20px;
	vertical-align: middle;
	font-size: 11px;
}

.catalog-set-constructor-slider-item-col-plus {}

/**/
.catalog-set-constructor-slider-item-scu {}

.catalog-set-constructor-slider-item-add-btn {
	display: inline-flex;
	position: absolute;
	top: 12px;
	right: 12px;
}

.catalog-set-constructor-slider-item-custom {
	color: #b8b8b8;
	font-size: 12px;
}

.catalog-set-constructor-slider-item-price-new {
	display: block;
}

.catalog-set-constructor-slider-box .swiper-button-next,
.catalog-set-constructor-slider-box .swiper-button-prev {
	top: calc(50% - 15px);
	display: flex;
	align-items: center;
	justify-content: center;
}

.catalog-set-constructor-slider-box .swiper-button-next {
	right: -15px;
}

.catalog-set-constructor-slider-box .swiper-button-prev {
	left: -15px;
}

.swiper-button.swiper-button-disabled {
	cursor: default;
}

.catalog-set-constructor-product-item-container {
	overflow: hidden;
}

.catalog-set-constructor-product-item-container .article {
	position: absolute;
	font-size: 12px;
	line-height: 1;
	color: #808080;
	-webkit-transition: .3s;
	-o-transition: .3s;
	transition: .3s;
	top: 10px;
	left: 10px;
}

.catalog-set-constructor-product-item-container .article .article_title {
	position: relative;
	left: -100px;
	visibility: hidden;
	top: 0;
	-webkit-transition: .3s;
	-o-transition: .3s;
	transition: .3s;
}

.catalog-set-constructor-product-item-container .article .article_count {
	-webkit-transition: .3s;
	-o-transition: .3s;
	transition: .3s;
	position: relative;
	line-height: 1;
}

.btn-primary.add_to_basket.basket_icon {
	padding: 8px;
	background-color: var(--main_color);
	font-weight: bold;
	font-size: 14px;
	text-transform: uppercase;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 160px;
	height: 42px;
	margin-left: 56px;
}

.btn-primary.add_to_basket.basket_icon:hover {
	background-color: var(--main_color_hover);
}

.btn-primary.add_to_basket.basket_icon:active:hover {
	background-color: var(--main_color_active);
}

.catalog-set-constructor-slider-item-add-btn a {
	padding: 8px 8px;
	display: block;
	line-height: 1;
}

.catalog-set-constructor-slider-item-add-btn a svg {
	display: block;
}

.catalog-set-constructor-slider-item-add-btn a:focus {
	background-color: var(--main_color);
}

.catalog-set-constructor-product-info .price-block-col {
	text-align: left;
}

.catalog-set-constructor-product-article {
	text-align: left;
	margin: 12px 0 6px;
	font-size: 12px;
	font-weight: 400;
	color: #8d8d8d;
}

.catalog-set-constructor-product-item_main .rating_item {
	text-align: left;
	display: flex;
	margin-bottom: 20px;
}

.catalog-set-constructor-product-item_main .rating_item .count_rating {
	line-height: 14px;
	font-size: 12px;
	color: #6c6c6c;
	font-weight: 500;
	margin-left: 5px;
}

.catalog-set-constructor-product-item_main .rating_item>span {
	display: inline-block;
}

.catalog-set-constructor-product-new-price {
	display: flex;
	align-items: center;
	justify-content: space-between;
	position: relative;
}

.catalog-set-constructor-product-new-price_price {
	font-size: 18px;
	color: var(--main-txt);
}

.catalog-set-constructor-product-new-price_price_count {
	font-size: 14px;
	font-weight: 500;
	line-height: 27px;
}

.catalog-set-constructor_section .set_total_price {
	padding: 20px;
	background: #f1f1f1;
}

.catalog-set-constructor-result-btn-container .add_to_basket span,
.product-detail-viewed-slider .offers-item-link span {
	margin-top: 2px;
}